Bug 567041 (perl-Config-INI-MVP) - Review Request: perl-Config-INI-MVP - Multi-value capable .ini file reader (for plugins)
Summary: Review Request: perl-Config-INI-MVP - Multi-value capable .ini file reader (f...
Status: CLOSED ERRATA
Alias: perl-Config-INI-MVP
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Config-IN...
Whiteboard:
Keywords:
Depends On: perl-Config-MVP
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 08:48 UTC by Iain Arnell
Modified: 2010-03-20 03:47 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-20 03:28:00 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-02-21 08:48:04 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Config-INI-MVP.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Config-INI-MVP-0.024-1.fc14.src.rpm

Description:
The MVP INI file reader reads INI files, but can handle properties with
multiple values. The identification of properties that may have multiple
entries is done by section, on a plugin basis.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2002523

*rt-0.10_01

Comment 1 Chris Weyl 2010-02-21 20:33:14 UTC
Looks good :)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2002523

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
8bdfcbf587c06c55238cf1a4691b171c0efb3036 Config-INI-MVP-0.024.tar.gz
8bdfcbf587c06c55238cf1a4691b171c0efb3036 Config-INI-MVP-0.024.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Config-INI-MVP-0.024-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-INI-MVP-0.024-1.fc14.noarch.rpm
perl-Config-INI-MVP = 0.024-1.fc14
perl(Config::INI::MVP::Reader) = 0.024
perl(Config::MVP::Reader::INI) = 0.024
====> requires for perl-Config-INI-MVP-0.024-1.fc14.noarch.rpm
perl(Config::INI::MVP::Reader)  
perl(Config::INI::Reader)  
perl(Config::MVP) >= 0.092060
perl(Config::MVP::Assembler)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Moose)  
perl(Moose) >= 0.65

=====> perl-Config-INI-MVP-0.024-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-INI-MVP-0.024-1.fc14.src.rpm
====> requires for perl-Config-INI-MVP-0.024-1.fc14.src.rpm
perl(Config::INI::Reader)  
perl(Config::MVP) >= 0.092060
perl(ExtUtils::MakeMaker)  
perl(Moose) >= 0.65
perl(Test::More)  

APPROVED

Comment 2 Iain Arnell 2010-02-21 21:43:48 UTC
New Package CVS Request
=======================
Package Name: perl-Config-INI-MVP
Short Description: Multi-value capable .ini file reader (for plugins)
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-02-22 21:32:55 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-02-23 04:17:00 UTC
Built in rawhide; waiting for perl-Config-MVP (#566529) on branches.

Comment 5 Fedora Update System 2010-03-04 17:17:00 UTC
perl-Config-INI-MVP-0.024-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc13

Comment 6 Fedora Update System 2010-03-04 17:17:05 UTC
perl-Config-INI-MVP-0.024-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc12

Comment 7 Fedora Update System 2010-03-04 17:17:10 UTC
perl-Config-INI-MVP-0.024-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc11

Comment 8 Fedora Update System 2010-03-05 03:37:26 UTC
perl-Config-INI-MVP-0.024-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-INI-MVP'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc13

Comment 9 Fedora Update System 2010-03-06 03:49:38 UTC
perl-Config-INI-MVP-0.024-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-INI-MVP'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc11

Comment 10 Fedora Update System 2010-03-06 03:53:42 UTC
perl-Config-INI-MVP-0.024-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-INI-MVP'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-INI-MVP-0.024-1.fc12

Comment 11 Fedora Update System 2010-03-20 03:27:56 UTC
perl-Config-INI-MVP-0.024-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-20 03:33:11 UTC
perl-Config-INI-MVP-0.024-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-20 03:47:18 UTC
perl-Config-INI-MVP-0.024-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.